varying vec4 vColor;

uniform int inkEffect;
uniform vec4 blendColor;

void main()
{
	vec4 nColor = vColor * blendColor;

	if(inkEffect == 2)			//INVERT
		nColor.rgb = vec3(1,1,1)-nColor.rgb;
	else if(inkEffect == 10)	//MONO
	{
		float mono = 0.3125*nColor.r + 0.5625*nColor.g + 0.125*nColor.b;
		nColor.rgb = vec3(mono,mono,mono);
	}
	
	gl_FragColor = nColor;
}
